Bug 250207 - The description about option '--dump' in manpage is wrong
Summary: The description about option '--dump' in manpage is wrong
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Panu Matilainen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 454887
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-31 01:35 UTC by Yu Zhiguo
Modified: 2018-10-20 03:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 20:49:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the patch for rpm manpage (474 bytes, patch)
2007-07-31 01:35 UTC, Yu Zhiguo
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0079 normal SHIPPED_LIVE rpm bug fix update 2009-01-20 16:04:16 UTC

Description Yu Zhiguo 2007-07-31 01:35:31 UTC
Description of problem:
The description about option '--dump' in manpage is wrong.
"This option must be used with at least one of -l, -c, -d." exists in manpage, 
but in fact, this option can be used singly.

The usage of this option is same with option '--state', they can be used with 
one of -l, -c, -d, and also can be used singly.
If be used singly, they implies -l.

Version-Release number of selected component (if applicable):
rpm-4.4.2-37.el5

How reproducible:
100%

Steps to Reproduce:
1.man rpm
  
Actual results:
"This option must be used with at least one of -l, -c, -d." be outputted.

Expected results:
This description should be deleted from manpage, not be outputted when man rpm.

Comment 1 Yu Zhiguo 2007-07-31 01:35:31 UTC
Created attachment 160284 [details]
the patch for rpm manpage

Comment 2 Denise Dumas 2008-07-16 14:19:35 UTC
The RPM rebase in 5.3 / Fedora 9 includes a fix for this issue. 

Comment 3 RHEL Product and Program Management 2008-07-16 14:31:28 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 17 errata-xmlrpc 2009-01-20 20:49:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0079.html


Note You need to log in before you can comment on or make changes to this bug.